Bug 197783 - [libc] sctp_getassocid() is missing from lib/libc/net/Symbol.map
Summary: [libc] sctp_getassocid() is missing from lib/libc/net/Symbol.map
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-02-18 08:16 UTC by jau
Modified: 2015-03-28 09:10 UTC (History)
2 users (show)

See Also:


Attachments
The one line patch to make things right. (353 bytes, patch)
2015-02-18 08:16 UTC, jau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jau 2015-02-18 08:16:52 UTC
Created attachment 153138 [details]
The one line patch to make things right.

The function sctp_getassocid() is currently not visible to users,
though, it should be.
Please, apply the attached patch ASAP.
I have been using the obvious patch on my own systems with no ill effects
for quite some time now. I have simply forgotten to file a bug report for
this.
Comment 1 jau 2015-02-28 09:46:33 UTC
The same mistake is present at least in 11.x and 10.1-stable.
Most likely it is present any and all FreeBSD versions which
have carried support for SCTP.
Comment 2 Michael Tuexen freebsd_committer 2015-03-28 09:10:16 UTC
Fixed in https://svnweb.freebsd.org/changeset/base/280782

Thanks for reporting!